<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="90dip"
    android:background="@color/white"
    android:descendantFocusability="blocksDescendants"
    android:orientation="vertical"
    android:padding="5dip">


    <ImageView
        android:id="@+id/download_mgr_iv_icon"
        android:layout_width="@dimen/app_icon_wh_height_small"
        android:layout_height="@dimen/app_icon_wh_height_small"
        android:layout_alignParentLeft="true"
        android:layout_centerVertical="true"
        android:src="@mipmap/bg_default_icon" />


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginLeft="8dip"
        android:layout_marginRight="110dip"
        android:layout_toRightOf="@id/download_mgr_iv_icon"
        android:orientation="vertical">

        <TextView
            android:id="@+id/download_mgr_tv_name"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dip"
            android:ellipsize="end"
            android:maxLines="1"
            android:textColor="@color/black"
            android:textSize="@dimen/app_size_tv_ordinary" />


        <LinearLayout
            android:layout_marginTop="10.0dip"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">
            <TextView
                android:id="@+id/download_mgr_tv_progress"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:ellipsize="end"
                android:maxLines="1"
                android:text="@string/calculating"
                android:textSize="@dimen/app_size_tv_tiny" />
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="right"
                android:ellipsize="end"
                android:maxLines="1"
                android:textColor="?attr/main_color"
                android:textSize="@dimen/app_size_tv_tiny" />
        </LinearLayout>


        <ProgressBar
            android:id="@+id/download_mgr_pb_progress"
            style="@style/Widget.AppCompat.ProgressBar.Horizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="3dip"
            android:max="100" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="100dip"
        android:layout_height="match_parent"
        android:layout_alignParentRight="true"
        android:layout_marginLeft="5dip"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageButton
            android:id="@+id/download_mgr_ib_delete"
            android:layout_width="20dip"
            android:layout_height="20dip"
            android:background="@null"
            android:layout_margin="0dip"
            android:padding="0dip"
            android:src="@drawable/ic_edit_text_delete" />

        <com.kfzs.duanduan.view.KFProgressButton
            android:id="@+id/download_mgr_btn_act"
            android:background="@drawable/selector_button_full_main"
            android:layout_width="wrap_content"
            android:layout_height="30dip"
            android:layout_marginLeft="10dip"
            android:layout_marginRight="5dip"
            android:ellipsize="end"
            android:maxLines="1"
            android:text="下载中"
            android:textColor="@color/btn_color_main"
            android:textSize="@dimen/app_size_tv_small" />

    </LinearLayout>

</RelativeLayout>


